/*
  Plee the Bear

  Copyright (C) 20052011 Julien Jorge, Sebastien Angibaud

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the
  Free Software Foundation; either version 2 of the License, or (at your
  option) any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
  more details.

  You should have received a copy of the GNU General Public License along
  with this program; if not, write to the Free Software Foundation, Inc.,
  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

  contact: plee-the-bear@gamned.org

  Please add the tag [PTB] in the subject of your mails.
*/
/**
 * \file frame_start_menu.hpp
 * \brief A frame to choose player mode (one or two players).
 * \author Sebastien Angibaud
 */
#include "ptb/frame/menu_frame.hpp"

namespace ptb
{
  /**
   * \brief A frame to choose player mode (one or two players).
   * \author Sebastien Angibaud
   */
  class frame_choose_player_mode:
    public menu_frame
  {
  public:
    frame_choose_player_mode( windows_layer* owning_layer );

  private:
    void create_controls();

    void start_game( unsigned int p ) const;
    void load_game_variables() const;
  }; // class frame_choose_player_mode
} // namespace ptb
